BaseApiProvider (Grails 6.0.0)

Package: org.grails.core.metaclass

## [Java] Class BaseApiProvider

- org.grails.core.metaclass.BaseApiProvider

-     @java.lang.Deprecated
      public abstract class BaseApiProvider
      extends java.lang.Object

  deprecated:
    Use traits instead
  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `CONSTRUCTOR_METHOD` |
    `static java.lang.String` | `CTOR_GROOVY_METHOD` |
    `private static java.util.List<java.lang.String>` | `EXCLUDED_METHODS` |
    `protected java.util.List<java.lang.reflect.Method>` | `constructors` |
    `protected java.util.List` | `instanceMethods` |
    `protected java.util.List<java.lang.reflect.Method>` | `staticMethods` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addApi(java.lang.Object apiInstance)`
    `` | `private java.lang.Object[]` | `checkForGStrings(java.lang.Object[] arguments)`
    `` | `public java.lang.String` | `getName()`
    `` | `public org.codehaus.groovy.reflection.CachedClass[]` | `getParameterTypes()`
    `` | `public java.lang.Object` | `invoke(java.lang.Object object, java.lang.Object[] arguments)`
    `` | `private boolean` | `isConstructorCallMethod(java.lang.reflect.Method method)`
    `` | `private boolean` | `isNotExcluded(java.lang.reflect.Method method, int modifiers)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String CONSTRUCTOR_METHOD

    - #### public static final java.lang.String CTOR_GROOVY_METHOD

    - #### private static java.util.List<java.lang.String> EXCLUDED_METHODS

    - #### protected java.util.List<java.lang.reflect.Method> constructors

    - #### @java.lang.SuppressWarnings("rawtypes") protected java.util.List instanceMethods

    - #### protected java.util.List<java.lang.reflect.Method> staticMethods

  - ### Method Detail

    - #### @java.lang.SuppressWarnings("unchecked") public void addApi(java.lang.Object apiInstance)

    - #### private java.lang.Object[] checkForGStrings(java.lang.Object[] arguments)

    - #### @java.lang.Override public java.lang.String getName()

    - #### @java.lang.Override public org.codehaus.groovy.reflection.CachedClass[] getParameterTypes()

    - #### @java.lang.Override public java.lang.Object invoke(java.lang.Object object, java.lang.Object[] arguments)

    - #### private boolean isConstructorCallMethod(java.lang.reflect.Method method)

    - #### private boolean isNotExcluded(java.lang.reflect.Method method, int modifiers)